> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lấy danh sách khóa học



## OpenAPI

````yaml /vi/openapi/fireant-v1.yaml get /academy/courses
openapi: 3.1.0
info:
  version: v1
  title: FireAnt RESTFUL API
  description: Tài liệu đặc tả FireAnt RESTFUL API v1.0.0
servers:
  - url: https://api.fireant.vn
security: []
paths:
  /academy/courses:
    get:
      tags:
        - Academy
      summary: Lấy danh sách khóa học
      operationId: Academy_GetCourses
      parameters:
        - name: subjectId
          in: query
          description: Lọc theo chủ đề khóa học (Mặc định là 0, lấy tất cả)
          required: false
          schema:
            format: int32
            type: integer
        - name: type
          in: query
          description: 'Phân loại (0: lớp học, 1: hội thảo, mặc địch là 0)'
          required: false
          schema:
            format: int32
            type: integer
        - name: level
          in: query
          description: Lọc theo cấp độ khóa học (Basic, Advance...)
          required: false
          schema:
            type: string
        - name: isHot
          in: query
          description: Lọc theo khóa học nổi bật
          required: false
          schema:
            type: boolean
        - name: offset
          in: query
          description: Vị trí bản ghi đầu tiên lấy về (Dùng để phân trang, mặc địch là 0)
          required: false
          schema:
            format: int32
            type: integer
        - name: limit
          in: query
          description: Số lượng tối đa bản ghi lấy về (Dùng để phân trang, mặc địch là 20)
          required: false
          schema:
            format: int32
            type: integer
      responses:
        '200':
          description: Thành công
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FireAnt.Api.Models.Academy.Course'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FireAnt.Api.Models.Academy.Course'
        '400':
          description: Có lỗi khi thực hiện thao tác
      security:
        - oauth2:
            - academy-read
components:
  schemas:
    FireAnt.Api.Models.Academy.Course:
      type: object
      properties:
        courseId:
          format: int32
          type: integer
        name:
          type: string
        duration:
          format: int32
          type: integer
        lessonsAmount:
          format: int32
          type: integer
        timetable:
          type: string
        description:
          type: string
        content:
          type: string
        objective:
          type: string
        level:
          type: string
        fee:
          format: double
          type: number
        subject:
          $ref: '#/components/schemas/FireAnt.Api.Models.Academy.Subject'
        isHot:
          type: boolean
        image:
          format: byte
          type: string
        introduction:
          type: string
        isOnline:
          type: boolean
        classId:
          format: int32
          type: integer
        teachers:
          type: array
          items:
            $ref: '#/components/schemas/FireAnt.Api.Models.Academy.Teacher'
        lessons:
          type: array
          items:
            $ref: '#/components/schemas/FireAnt.Api.Models.Academy.Lesson'
        type:
          format: int32
          description: ' (Learning = Khóa học, Seminar = Hội thảo)'
          enum:
            - 0
            - 1
          type: integer
        benefit:
          type: string
        revenueCatId:
          type: string
    FireAnt.Api.Models.Academy.Subject:
      type: object
      properties:
        subjectId:
          format: int32
          type: integer
        name:
          type: string
    FireAnt.Api.Models.Academy.Teacher:
      type: object
      properties:
        roleId:
          format: int32
          type: integer
        id:
          type: string
        userName:
          type: string
        name:
          type: string
        introduction:
          type: string
        gender:
          format: int32
          description: ' (Male = Nam, Female = Nữ)'
          enum:
            - 0
            - 1
          type: integer
        photo:
          format: byte
          type: string
    FireAnt.Api.Models.Academy.Lesson:
      type: object
      properties:
        lessonId:
          format: int32
          type: integer
        lessonName:
          type: string
        hasAttachedFile:
          type: boolean
        content:
          type: string
        videoUrl:
          type: string
        courseId:
          format: int32
          type: integer
        positionIndex:
          format: int32
          type: integer
        course:
          $ref: '#/components/schemas/FireAnt.Api.Models.Academy.Course'
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          scopes:
            accounts-read: Đọc danh sách tài khoản giao dịch chứng khoán
            accounts-write: Liên kết tài khoản chứng khoán
            orders-read: Đọc danh sách lệnh giao dịch chứng khoán
            orders-write: Đặt, sửa, hủy lệnh giao dịch chứng khoán
            companies-read: Đọc thông tin doanh nghiệp
            companies-write: Tạo mới, cập nhật, xóa thông tin doanh nghiệp
            individuals-read: Đọc thông tin cá nhân
            individuals-write: Tạo mới, cập nhật, xóa thông tin cá nhân
            finance-read: Đọc thông tin tài chính
            finance-write: Tạo mới, cập nhật, xóa thông tin tài chính
            posts-write: Đăng bài viết
            posts-read: Lấy nội dung các bài viết của cộng đồng
            symbols-read: Đọc thông tin mã chứng khoán
            symbols-write: Tạo mới, cập nhật, xóa mã chứng khoán
            users-read: Đọc dữ liệu công khai của người dùng
            user-data-read: Đọc tất cả dữ liệu của người dùng hiện tại
            user-data-write: Cập nhật tất cả dữ liệu của người dùng hiện tại
            search: Tìm kiếm
            academy-read: Đọc dữ liệu các khóa học
            academy-write: Đăng ký khóa học
            blog-read: Đọc dữ liệu blog
            investopedia-read: Đọc dữ liệu thuật ngữ
            commodities-read: Đọc dữ liệu hàng hóa phái sinh
            all_claims: All
            roles: Role
          authorizationUrl: https://accounts.fireant.vn/connect/authorize
      description: OAuth2 Implicit Grant

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.